help-cfengine
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

RE: Problem compiling from 2.1.14 on Solaris 8


From: Luke Youngblood
Subject: RE: Problem compiling from 2.1.14 on Solaris 8
Date: Thu, 26 May 2005 14:52:18 -0400

I think I'm getting off-topic here, but it would be really nice if autoconf
was smart enough to search for the GNU utilities first, rather than just
assuming the m4 it found in the path was GNU compatible.  See, this works
great on Linux systems where there is only one m4 and it's always the GNU
version, but on Sun systems, the GNU version of m4 will be called gm4.  On
more than one occasion I've had to fool autoconf by symlinking gm4->m4 and
placing it first in the path in front of Sun's m4.  If autoconf was
intelligent enough to search for gm4 first, we wouldn't have a lot of these
cross-platform compatibility issues.

Sun is finally waking up and including most of the GNU utilities with a
default install of the OS.  Solaris 10 now sticks all of the GNU tools in
/usr/sfw/bin.  My hope is that developers that are used to working with an
all-GNU toolchain will realize that we don't live in an all GNU world, and
fix autoconf to take that into account.
</rant mode off>

Whew... glad I got that off my chest.  Back to your regularly scheduled
cfengine discussion.

-----Original Message-----
From: PAUL WILLIAMSON [mailto:address@hidden 
Sent: Thursday, May 26, 2005 2:17 PM
To: address@hidden; address@hidden
Cc: address@hidden
Subject: RE: Problem compiling from 2.1.14 on Solaris 8

Luke,

Thanks for all these pointers.  It's like you're anticipating what I'm
going to ask 
next.  Unfortunately, I've now moved on to a new error.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]